at.chipkarte.client.rez.soap

## Class PrivatrezeptVerordnungAbgeber

- Object
- - at.chipkarte.client.rez.soap.PrivatrezeptVerordnungAbgeber

-     public class PrivatrezeptVerordnungAbgeber
      extends Object

  Verordnungsinformationen für den Abgeber.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivatrezeptVerordnungAbgeber()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrivatrezeptAbgabe[]` | `getAbgaben()` Erfasste Abgaben zu einer Verordnung.
    `String` | `getStatus()` Verordnungsstatus.
    `Verordnung` | `getVerordnung()` Verordnung.
    `void` | `setAbgaben(PrivatrezeptAbgabe[] abgaben)`
    `void` | `setStatus(String status)`
    `void` | `setVerordnung(Verordnung verordnung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivatrezeptVerordnungAbgeber

          public PrivatrezeptVerordnungAbgeber()

  - ### Method Detail

    - #### getVerordnung

          public Verordnung getVerordnung()

      Verordnung. Siehe `Verordnung`.
      Angabe: Muss.
      Returns:
        Verordnungen

    - #### setVerordnung

          public void setVerordnung(Verordnung verordnung)

    - #### getStatus

          public String getStatus()

      Verordnungsstatus.
      Aggregierter Status der Verordnung.
      Mögliche Werte: `StatusVerordnungConstants`.
      Angabe: Muss.
      Returns:
        Status

    - #### setStatus

          public void setStatus(String status)

    - #### getAbgaben

          public PrivatrezeptAbgabe[] getAbgaben()

      Erfasste Abgaben zu einer Verordnung. Siehe `PrivatrezeptAbgabe`.
      Format: 0 bis n Elemente
      Angabe: Kann.
      Hinweis: Bei jeder Abgabe handelt es sich um eine eigenständige Abgabeinformation. Bei Privatrezepten können mehrere PrivatrezeptAbgabe-Objekte existieren, da einzelne Verordnungen zusätzliche Einlösungen erlauben können.
      Returns:
        Abgaben

    - #### setAbgaben

          public void setAbgaben(PrivatrezeptAbgabe[] abgaben)